libshevek

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends
shevek::args::option Class Reference

Define an option which can be given to the program. More...

`#include <args.hh>`

List of all members.

## Public Types

typedef sigc::slot1< void, bool > | callback0
| Callback for options without an argument.
typedef sigc::slot2< void, bool, Glib::ustring const & > | callback1
| Callback for options with an argument.

## Public Member Functions

| option (char shortopt, Glib::ustring const &longopt, Glib::ustring const &help_line, callback0 handle, bool *used=NULL)
| Option has no argument and calls a function.
| option (char shortopt, Glib::ustring const &longopt, Glib::ustring const &help_line, bool have_default, callback1 handle, Glib::ustring default_val=Glib::ustring(), bool *used=NULL)
| Option has mandatory argument and calls a function.
| option (char shortopt, Glib::ustring const &longopt, Glib::ustring const &help_line, callback0 handle0, callback1 handle1, bool *used=NULL)
| Option has optional argument and calls respective function.
| option (char shortopt, Glib::ustring const &longopt, Glib::ustring const &help_line, bool &var, bool value, bool *used=NULL)
| Set the value of a boolean variable.
| option (char shortopt, Glib::ustring const &longopt, Glib::ustring const &help_line, bool have_default, Glib::ustring &var, bool *used=NULL)
| Set the value of a string variable (utf-8).
| option (char shortopt, Glib::ustring const &longopt, Glib::ustring const &help_line, bool have_default, std::string &var, bool *used=NULL)
| Set the value of a string variable.
| option (char shortopt, Glib::ustring const &longopt, Glib::ustring const &help_line, bool have_default, unsigned long &var, bool *used=NULL)
| Set the value of an integer variable.
| option (char shortopt, Glib::ustring const &longopt, Glib::ustring const &help_line, bool have_default, long &var, bool *used=NULL)
| Set the value of an integer variable.
| option (char shortopt, Glib::ustring const &longopt, Glib::ustring const &help_line, bool have_default, unsigned &var, bool *used=NULL)
| Set the value of an integer variable.
| option (char shortopt, Glib::ustring const &longopt, Glib::ustring const &help_line, bool have_default, int &var, bool *used=NULL)
| Set the value of an integer variable.
| option (char shortopt, Glib::ustring const &longopt, Glib::ustring const &help_line, bool have_default, unsigned short &var, bool *used=NULL)
| Set the value of an integer variable.
| option (char shortopt, Glib::ustring const &longopt, Glib::ustring const &help_line, bool have_default, short &var, bool *used=NULL)
| Set the value of an integer variable.
| option (char shortopt, Glib::ustring const &longopt, Glib::ustring const &help_line, bool have_default, float &var, bool *used=NULL)
| Set the value of a floating point variable.
| option (char shortopt, Glib::ustring const &longopt, Glib::ustring const &help_line, bool have_default, double &var, bool *used=NULL)
| Set the value of a floating point variable.
template<typename _T >
| option (char shortopt, Glib::ustring const &longopt, Glib::ustring const &help_line, std::list< _T > &list)

## Friends

class | args

## Detailed Description

Define an option which can be given to the program.

## Constructor & Destructor Documentation

template<typename _T >

shevek::args::option::option | ( | char | shortopt,
|  | Glib::ustring const & | longopt,
|  | Glib::ustring const & | help_line,
|  | std::list< _T > & | list
| ) |  |

Fill a list of variables. An item is appended to the list for each time the option is specified.

The documentation for this class was generated from the following file:

- src/args.hh